%{?nodejs_find_provides_and_requires}

%global packagename balanced-match
%global enable_tests 0

Name:		nodejs-balanced-match
Version:	1.0.0
Release:	%mkrel 5
Summary:	Match balanced character pairs, like "{" and "}"
Group:          Development/Other

License:	MIT
# License in Readme.md file, see request for separate file at
# https://github.com/juliangruber/balanced-match/issues/5
URL:		https://github.com/juliangruber/balanced-match.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
Match balanced character pairs, like "{" and "}"


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tape test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}





%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.0-5.mga10
+ Revision: 2208195
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1818372
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1502425
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1280164
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1225092
- Update to version 1.0.0

* Fri May 13 2016 joequant <joequant> 0.3.0-1.mga6
+ Revision: 1014489
- fix group
- imported package nodejs-balanced-match


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 17 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.0-1
- Update to upstream 0.3.0 release

* Mon Dec 14 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-2
- Fix tests so that they now run

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-1
- Initial packaging
